axiethernet: XAvb_SequenceIdStruct Struct Reference

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAvb_SequenceIdStruct Struct Reference

This typedef defines the format for a data structure which stores the last used sequence ID for all of the PTP timing frames. More...

## Data Fields
u16 | SyncSequenceId
| SequenceId of the latest RX'd Sync message. More...
u16 | FollowUpSequenceId
| SequenceId of the latest RX'd FollowUp message. More...
u16 | PDelayReqSequenceId
| SequenceId of the latest TX'd PDelayReq message. More...
u16 | PDelayRespSequenceId
| SequenceId of the latest RX'd PDelayResp message. More...
u16 | PDelayFollowUpSequenceId
| SequenceId of the latest RX'd PDelayRespFollowUp message. More...
u16 | OldSyncSequenceId
| SequenceId of the previous RX'd Sync message used for XAvb_UpdateRtcIncrement() calculations. More...
u16 | NewSyncSequenceId
| SequenceId of the current RX'd Sync message used for XAvb_UpdateRtcIncrement() calculations. More...

## Detailed Description

This typedef defines the format for a data structure which stores the last used sequence ID for all of the PTP timing frames.

## Field Documentation

u16 XAvb_SequenceIdStruct::FollowUpSequenceId

SequenceId of the latest RX'd FollowUp message.

Referenced by XAvb_DecodeRxFollowUp().

u16 XAvb_SequenceIdStruct::NewSyncSequenceId

SequenceId of the current RX'd Sync message used for XAvb_UpdateRtcIncrement() calculations.

Referenced by XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u16 XAvb_SequenceIdStruct::OldSyncSequenceId

SequenceId of the previous RX'd Sync message used for XAvb_UpdateRtcIncrement() calculations.

Referenced by XAvb_DecodeRxFollowUp(), and XAvb_UpdateRtcIncrement().

u16 XAvb_SequenceIdStruct::PDelayFollowUpSequenceId

SequenceId of the latest RX'd PDelayRespFollowUp message.

Referenced by XAvb_DecodeRxPDelayRespFollowUp().

u16 XAvb_SequenceIdStruct::PDelayReqSequenceId

SequenceId of the latest TX'd PDelayReq message.

Referenced by XAvb_DecodeRxPDelayResp(), and XAvb_SendPDelayReq().

u16 XAvb_SequenceIdStruct::PDelayRespSequenceId

SequenceId of the latest RX'd PDelayResp message.

Referenced by XAvb_DecodeRxPDelayResp(), and XAvb_DecodeRxPDelayRespFollowUp().

u16 XAvb_SequenceIdStruct::SyncSequenceId

SequenceId of the latest RX'd Sync message.

Referenced by XAvb_DecodeRxFollowUp(), and XAvb_DecodeRxSync().